For the complete documentation index, see llms.txt. This page is also available as Markdown.

IssueCard

To issue a card that has been linked to an account, you can send a POST request to the following endpoint:

POST /api/Card/v{{version}}/Interswitch/IssueCard

The request body should contain the cardId of the card record to be issued.

This endpoint streamlines the process of activating a card, offering the final step that makes a linked card usable by its card holder.

A card must go through this issuance step before it can be used, linking a card to an account alone is not enough to activate it.

Headers

Name
Value

Content-Type*

application/json

Request-Reference

unique_string

Body

Name
Data Type
Required
Description

cardId

string

Id of the card record.

Here is an example request and response with a sample payload sent to the endpoint in Curl format.

Sample Request
curl --location -g '{{baseUrl}}/api/Card/v{{version}}/Interswitch/IssueCard' \
--header 'Content-Type: application/json' \
--header 'request-reference: unique_string' \
--data '{
  "cardId": "5099f14c-b963-4919-95a4-104a42eeedd8"
}'
Response: 200
{
  "status": true,
  "message": "Operation Successful"
}

Last updated